import requests
import json

googlesheet_url = "https://docs.google.com/a/google.com/spreadsheets/d/1AfsmGlSyb7rqMgfRSF-S4PpcUyTi7Fhx/gviz/tq?range=A1:O394&headers=1&tq=select%20A%2CB%2CC%2CD%2CE%2CF%2CG%2CH%2CI%2CJ%2CK%2CL%2CM%2CN%2CO&tqx=out:json"
site_request = requests.get(googlesheet_url)

site_response = str(site_request.content)

# remove from beginning up to the first {
json_response = site_response[site_response.index("{"):]
# remove from the last } till the end
json_response = json_response[:json_response.rindex("}")+1]

table = json.loads(json_response)
table = table["table"]
testcaseinfo = []
# the Table is structured as follows:
# - cols: an array of N objects. Each object has an "label" field with the name of the column
# - rows: an array of a zillion objects. Each object has a "c" field that is an array of N sub-objects. Each sub-object has a "v" field that is the target value of the corresponding column
rowcounter = 0
for row in table["rows"]:
    rowcounter += 1
    print(rowcounter)
    column_index = 0
    testcase = {}
    for column in row["c"]:
        print("  "+str(column_index+1))
        column_label = table["cols"][column_index]["label"]
        column_label = column_label.replace(" ", "_").lower()
        if column and "v" in column:
            testcase[column_label] = column["v"]
        else:
            testcase[column_label] = "EMPTY"
        column_index += 1
    testcaseinfo.append(testcase)
print(testcaseinfo)

# The URL of the REST endpoint of the NoSQL database
dburl = "http://ec2-18-153-159-20.eu-central-1.compute.amazonaws.com:5555/googlesheet"
requests.delete(dburl)
# Set the appropriate headers for JSON, if required by the endpoint
headers = {
    'Content-Type': 'application/json',
    'Accept': 'application/json',
    # Include any other headers the API requires
}
# Make the POST request
response = requests.post(dburl, data=json.dumps(testcaseinfo), headers=headers)

# Check the response (status code, content, etc.)
print(response.status_code)
print(response.text)
