HATEOAS = False

googlesheetschema = {
    'seq_number': {
        'type': 'string',
        'required': True
    }
}
googlesheet = {
    # most global settings can be overridden at resource level
    'resource_methods': ['GET', 'POST', 'DELETE'],
    'allow_unknown': True,
    'pagination': False,
    'schema': googlesheetschema
}

fromrobotschema = {
    'stripped_permutation_tp_id': {
        'type': 'string',
        'required': True
    }
}
fromrobot = {
    # most global settings can be overridden at resource level
    'resource_methods': ['GET', 'POST', 'DELETE'],
    'allow_unknown': True,
    'pagination': False,
    'schema': fromrobotschema
}

fromspecschema = {
    'tp_id_fromspec': {
        'type': 'string',
        'required': True
    }
}
fromspec = {
    # most global settings can be overridden at resource level
    'resource_methods': ['GET', 'POST', 'DELETE'],
    'allow_unknown': True,
    'pagination': False,
    'schema': fromspecschema
}

DOMAIN = {'googlesheet': googlesheet, 'fromrobot': fromrobot, 'fromspec': fromspec}